com.dandymadeproductions.scatterplot

## Class PluginModule

- java.lang.Object
- - com.dandymadeproductions.lindyframe.plugin.LindyFrame_PluginModule
  - - com.dandymadeproductions.scatterplot.PluginModule

- All Implemented Interfaces:
    com.dandymadeproductions.lindyframe.plugin.PluginModuleInterface

      public class PluginModule
      extends com.dandymadeproductions.lindyframe.plugin.LindyFrame_PluginModule

  The PluginModule class provides the hook to incorporate a external plugin module into the lindyFrame framework.
  Version:
    1.1 11/18/2017
  Author:
    Dana M. Proctor

- - ### Field Summary

    - ### Fields inherited from class com.dandymadeproductions.lindyframe.plugin.LindyFrame_PluginModule

      `ACCESSORY, author, description, EDUCATION, GAME, GRAPHICS, menuBar, MULTIMEDIA, name, NETWORK, OFFICE, panel, path_FileName, SCIENCE, size, tabIcon, toolBar, UNKNOWN, UTILITY, version, WEATHER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PluginModule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAuthor()`
    `java.lang.String` | `getCategory()`
    `java.lang.String` | `getDescription()`
    `javax.swing.JMenuBar` | `getMenuBar()`
    `java.lang.String` | `getName()`
    `javax.swing.JComponent` | `getPanel()`
    `javax.swing.ImageIcon` | `getTabIcon()`
    `javax.swing.JToolBar` | `getToolBar()`
    `java.lang.String` | `getVersion()`
    `void` | `initPlugin(com.dandymadeproductions.lindyframe.gui.Main_Frame parentFrame, java.lang.String path)`

    - ### Methods inherited from class com.dandymadeproductions.lindyframe.plugin.LindyFrame_PluginModule

      `getControlledAuthor, getControlledCategory, getControlledDescription, getControlledMenuBar, getControlledName, getControlledPanel, getControlledPath_FileName, getControlledSize, getControlledTabIcon, getControlledToolBar, getControlledVersion, getPath_FileName, getSize, shutdown, start, stop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PluginModule

          public PluginModule()

  - ### Method Detail

    - #### initPlugin

          public void initPlugin(com.dandymadeproductions.lindyframe.gui.Main_Frame parentFrame,
                                 java.lang.String path)

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `com.dandymadeproductions.lindyframe.plugin.PluginModuleInterface`
      Overrides:
        `getName` in class `com.dandymadeproductions.lindyframe.plugin.LindyFrame_PluginModule`

    - #### getAuthor

          public java.lang.String getAuthor()

      Specified by:
        `getAuthor` in interface `com.dandymadeproductions.lindyframe.plugin.PluginModuleInterface`
      Overrides:
        `getAuthor` in class `com.dandymadeproductions.lindyframe.plugin.LindyFrame_PluginModule`

    - #### getVersion

          public java.lang.String getVersion()

      Specified by:
        `getVersion` in interface `com.dandymadeproductions.lindyframe.plugin.PluginModuleInterface`
      Overrides:
        `getVersion` in class `com.dandymadeproductions.lindyframe.plugin.LindyFrame_PluginModule`

    - #### getDescription

          public java.lang.String getDescription()

      Specified by:
        `getDescription` in interface `com.dandymadeproductions.lindyframe.plugin.PluginModuleInterface`
      Overrides:
        `getDescription` in class `com.dandymadeproductions.lindyframe.plugin.LindyFrame_PluginModule`

    - #### getCategory

          public java.lang.String getCategory()

      Specified by:
        `getCategory` in interface `com.dandymadeproductions.lindyframe.plugin.PluginModuleInterface`
      Overrides:
        `getCategory` in class `com.dandymadeproductions.lindyframe.plugin.LindyFrame_PluginModule`

    - #### getTabIcon

          public javax.swing.ImageIcon getTabIcon()

      Specified by:
        `getTabIcon` in interface `com.dandymadeproductions.lindyframe.plugin.PluginModuleInterface`
      Overrides:
        `getTabIcon` in class `com.dandymadeproductions.lindyframe.plugin.LindyFrame_PluginModule`

    - #### getMenuBar

          public javax.swing.JMenuBar getMenuBar()

      Specified by:
        `getMenuBar` in interface `com.dandymadeproductions.lindyframe.plugin.PluginModuleInterface`
      Overrides:
        `getMenuBar` in class `com.dandymadeproductions.lindyframe.plugin.LindyFrame_PluginModule`

    - #### getToolBar

          public javax.swing.JToolBar getToolBar()

      Specified by:
        `getToolBar` in interface `com.dandymadeproductions.lindyframe.plugin.PluginModuleInterface`
      Overrides:
        `getToolBar` in class `com.dandymadeproductions.lindyframe.plugin.LindyFrame_PluginModule`

    - #### getPanel

          public javax.swing.JComponent getPanel()

      Specified by:
        `getPanel` in interface `com.dandymadeproductions.lindyframe.plugin.PluginModuleInterface`
      Overrides:
        `getPanel` in class `com.dandymadeproductions.lindyframe.plugin.LindyFrame_PluginModule`